## python-manilaclient 1.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# pbr should be first
pbr<2.0,>=1.6

argparse
iso8601>=0.1.9
oslo.config>=2.3.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
PrettyTable<0.8,>=0.7
pycrypto>=2.6
requests>=2.5.2
simplejson>=2.2.0
Babel>=1.3
six>=1.9.0
python-keystoneclient>=1.6.0

## python-manilaclient 0.1~git20140208

=== debian/changelog ===
python-manilaclient (0.1~git20140208-0ubuntu1) trusty; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 07 Feb 2014 15:24:24 -0500

=== debian/control ===
Source: python-manilaclient
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6), python-setuptools,
 python-prettytable, python-requests, python-simplejson, python-fixtures,
 python-mock, python-testtools, testrepository, python-setuptools-git
Standards-Version: 3.9.4

Package: python-manilaclient
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-prettytable, python-requests,
 python-simplejson
Description: python bindings for OpenStack Manila API
 This is a client for the OpenStack Manila API. There's a Python API (the
 ``manilaclient`` module), and a command-line script (``manila``). Each
 implements 100% of the OpenStack Manila API.

=== debian/watch ===
version=3
https://github.com/stackforge/python-manilaclient/tags .*/(\d[\d\.]+)\.tar\.gz

## python-manilaclient 1.4.0

=== debian/changelog ===
python-manilaclient (1.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Sep 2015 18:44:07 +0200

python-manilaclient (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Aug 2015 11:57:39 +0000

python-manilaclient (1.0.4-1) unstable; urgency=medium

  * Initial release. (Closes: #790411)

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Jun 2015 10:30:06 +0200

=== debian/control ===
Source: python-manilaclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-crypto,
                     python-ddt (>= 0.7.0),
                     python-fixtures (>= 1.3.1),
                     python-hacking (>= 0.9.2),
                     python-iso8601,
                     python-keystoneclient (>= 1:1.6.0),
                     python-mock (>= 1.3),
                     python-openstackclient (>= 1.5.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-prettytable,
                     python-requests (>= 2.5.2),
                     python-simplejson,
                     python-six (>= 1.9.0),
                     python-tempest-lib (>= 0.6.1),
                     python-testtools (>= 1.4.0),
#                     python3-babel,
#                     python3-crypto,
#                     python3-ddt (>= 0.7.0),
#                     python3-fixtures (>= 1.3.1),
#                     python3-iso8601,
#                     python3-keystoneclient (>= 1:1.6.0),
#                     python3-mock (>= 1.3),
#                     python3-oslo.config (>= 1:2.3.0),
#                     python3-oslo.log (>= 1.8.0),
#                     python3-oslo.serialization (>= 1.4.0),
#                     python3-oslo.utils (>= 2.0.0),
#                     python3-prettytable,
#                     python3-requests (>= 2.5.2),
#                     python3-simplejson,
#                     python3-six (>= 1.9.0),
#                     python3-subunit,
#                     python3-tempest-lib (>= 0.6.1),
#                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/openstack/python-manilaclient.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-manilaclient.git;a=summary
Homepage: https://github.com/openstack/python-manilaclient

Package: python-manilaclient
Architecture: all
Depends: python-babel,
         python-crypto,
         python-iso8601,
         python-keystoneclient (>= 1:1.6.0),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 2.0.0),
         python-pbr (>= 1.8),
         python-prettytable,
         python-requests,
         python-simplejson,
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack shared file system as a service - Python 2.7 client
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python client library and command line tool for
 Manila and for Python 2.7.

#Package: python3-manilaclient
#Architecture: all
#Depends: python3-babel,
#         python3-crypto,
#         python3-iso8601,
#         python3-keystoneclient (>= 1:1.6.0),
#         python3-oslo.config (>= 1:2.3.0),
#         python3-oslo.log (>= 1.8.0),
#         python3-oslo.serialization (>= 1.4.0),
#         python3-oslo.utils (>= 2.0.0),
#         python3-pbr (>= 1.8),
#         python3-prettytable,
#         python3-requests (>= 2.5.2),
#         python3-simplejson,
#         python3-six (>= 1.9.0),
#         ${misc:Depends},
#         ${python3:Depends},
#Description: OpenStack shared file system as a service - Python 3.x client
# Manila is an OpenStack project to provide Shared Filesystems as a service.
# It provides coordinated access to shared or distributed file systems. While
# the primary consumption of file shares would be across OpenStack Compute
# instances, the service is also intended to be accessible as an independent
# capability in line with the modular design established by other OpenStack
# services. Manila is extensible for multiple backends (to support vendor or
# file system specific nuances / capabilities) and accommodates any of a
# variety of shared or distributed file system types.
# .
# This package contains the Python client library and command line tool for
# Manila and for Python 3.x.

Package: python-manilaclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack shared file system as a service - client doc
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python client library and command line tool
 documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
#PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

# Note: Py3 building isn't currently possible because:
# - manilaclient depends on openstackclient
# - openstackclient depends on neutronclient
# - neutronclient depends on cliff-tablib
# - cliff-tablib depends on tablib
# - tablib isn't Py3 compatible... :(
# IMO, the solution is to get rid of cliff-tablib and tablib
# completely, instead of trying to fix tablib. Indeed,
# tablib is completely fucked-up, with loads of embedded
# projects inside its packages folder.

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc
#	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-manilaclient; \
	done
#	set -e ; for pyvers in $(PYTHON3S); do \
#		python$$pyvers setup.py install --install-layout=deb \
#			--root $(CURDIR)/debian/python3-manilaclient; \
#	done
	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
	install -D -m 0644 tools/manila.bash_completion $(CURDIR)/debian/python-manilaclient-doc/usr/share/bash-completion/completions/manila.bash_completion

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_auto_clean:
	rm -rf build doc/man .testrepository

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-manilaclient-doc/usr/share/doc/python-manilaclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source/ doc/man
	dh_installman -O--buildsystem=python_distutils
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-manilaclient 1.8.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# pbr should be first
pbr>=1.6 # Apache-2.0

iso8601>=0.1.9 # MIT
oslo.config>=3.7.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
PrettyTable<0.8,>=0.7 # BSD
pycrypto>=2.6 # Public Domain
requests!=2.9.0,>=2.8.1 # Apache-2.0
simplejson>=2.2.0 # MIT
Babel>=1.3 # BSD
six>=1.9.0 # MIT
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0

=== debian/changelog ===
python-manilaclient (1.8.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 16:29:21 +0000

python-manilaclient (1.8.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 12:24:56 +0100

python-manilaclient (1.7.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align depends with upstream.

  [ Thomas Goirand ]
  * Added more copyright holders.
  * Standards-Version: 3.9.7 (no change).

  [ Corey Bryant ]
  * d/control: Update uploaders.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 03:58:05 +0000

python-manilaclient (1.6.0-2) experimental; urgency=medium

  * Added Python 3 support.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Jan 2016 07:23:47 +0000

python-manilaclient (1.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Jan 2016 07:07:15 +0000

python-manilaclient (1.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Nov 2015 17:40:06 +0000

python-manilaclient (1.4.0-2) unstable; urgency=medium

  [ Corey Bryant ]
  * Update watch file to use Debian pypi redirector.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 22:05:05 +0000

=== debian/control ===
Source: python-manilaclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           David Della Vecchia <ddv@canonical.com>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-crypto,
                     python-ddt (>= 1.0.1),
                     python-fixtures (>= 1.3.1),
                     python-hacking (>= 0.9.2),
                     python-iso8601,
                     python-keystoneclient (>= 1:1.6.0),
                     python-mock (>= 1.3),
                     python-openstackclient (>= 2.1.0),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-prettytable,
                     python-requests (>= 2.8.1),
                     python-simplejson,
                     python-six (>= 1.9.0),
                     python-tempest-lib (>= 0.14.0),
                     python-testtools (>= 1.4.0),
                     python3-babel,
                     python3-crypto,
                     python3-ddt (>= 1.0.1),
                     python3-fixtures (>= 1.3.1),
                     python3-iso8601,
                     python3-keystoneclient (>= 1:1.6.0),
                     python3-mock (>= 1.3),
                     python3-openstackclient (>= 2.1.0),
                     python3-oslo.config (>= 1:3.7.0),
                     python3-oslo.log (>= 1.14.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.5.0),
                     python3-oslotest (>= 1.10.0),
                     python3-prettytable,
                     python3-requests (>= 2.8.1),
                     python3-simplejson,
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-tempest-lib (>= 0.14.0),
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Vcs-Git: https://anonscm.debian.org/git/openstack/python-manilaclient.git
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-manilaclient.git/
Homepage: https://github.com/openstack/python-manilaclient

Package: python-manilaclient
Architecture: all
Depends: python-babel,
         python-crypto,
         python-iso8601,
         python-keystoneclient (>= 1:1.6.0),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.5.0),
         python-pbr (>= 1.8),
         python-prettytable,
         python-requests (>= 2.8.1),
         python-simplejson,
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack shared file system as a service - Python 2.7 client
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python client library and command line tool for
 Manila and for Python 2.7.

Package: python3-manilaclient
Architecture: all
Depends: python3-babel,
         python3-crypto,
         python3-iso8601,
         python3-keystoneclient (>= 1:1.6.0),
         python3-oslo.config (>= 1:3.7.0),
         python3-oslo.log (>= 1.14.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.5.0),
         python3-pbr (>= 1.8),
         python3-prettytable,
         python3-requests (>= 2.8.1),
         python3-simplejson,
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Description: OpenStack shared file system as a service - Python 3.x client
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python client library and command line tool for
 Manila and for Python 3.x.

Package: python-manilaclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack shared file system as a service - client doc
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python client library and command line tool
 documentation.

=== debian/rules ===
--- 
+++ 
@@ -1,37 +1,27 @@
 #!/usr/bin/make -f
 
 PYTHONS:=$(shell pyversions -vr)
-#PYTHON3S:=$(shell py3versions -vr)
+PYTHON3S:=$(shell py3versions -vr)
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 export OSLO_PACKAGE_VERSION=$(VERSION)
 
-# Note: Py3 building isn't currently possible because:
-# - manilaclient depends on openstackclient
-# - openstackclient depends on neutronclient
-# - neutronclient depends on cliff-tablib
-# - cliff-tablib depends on tablib
-# - tablib isn't Py3 compatible... :(
-# IMO, the solution is to get rid of cliff-tablib and tablib
-# completely, instead of trying to fix tablib. Indeed,
-# tablib is completely fucked-up, with loads of embedded
-# projects inside its packages folder.
-
 %:
-	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc
-#	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
 override_dh_auto_install:
 	set -e ; for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python-manilaclient; \
 	done
-#	set -e ; for pyvers in $(PYTHON3S); do \
-#		python$$pyvers setup.py install --install-layout=deb \
-#			--root $(CURDIR)/debian/python3-manilaclient; \
-#	done
+	set -e ; for pyvers in $(PYTHON3S); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python3-manilaclient; \
+	done
 	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
 	install -D -m 0644 tools/manila.bash_completion $(CURDIR)/debian/python-manilaclient-doc/usr/share/bash-completion/completions/manila.bash_completion
+	mv $(CURDIR)/debian/python-manilaclient/usr/bin/manila $(CURDIR)/debian/python-manilaclient/usr/bin/python2-manila
+	mv $(CURDIR)/debian/python3-manilaclient/usr/bin/manila $(CURDIR)/debian/python3-manilaclient/usr/bin/python3-manila
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/python-manilaclient/python-manilaclient-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-manilaclient 1.11.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# pbr should be first
pbr>=1.6 # Apache-2.0

oslo.config>=3.14.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
PrettyTable<0.8,>=0.7 # BSD
requests>=2.10.0 # Apache-2.0
simplejson>=2.2.0 # MIT
Babel>=2.3.4 # BSD
six>=1.9.0 # MIT
python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0

=== debian/changelog ===
python-manilaclient (1.11.0-3+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sun, 26 Feb 2017 21:48:59 +0000

python-manilaclient (1.11.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:11:15 +0200

python-manilaclient (1.11.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Sep 2016 18:42:39 +0200

python-manilaclient (1.9.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{test,install} from openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Jul 2016 21:03:34 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Thomas Goirand <zigo@debian.org>,
            David Della Vecchia <ddv@canonical.com>,
            Corey Bryant <corey.bryant@canonical.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
@@ -15,72 +15,68 @@
                python3-all,
                python3-pbr (>= 1.8),
                python3-setuptools,
-Build-Depends-Indep: python-babel,
+Build-Depends-Indep: python-babel (>= 2.3.4),
                      python-coverage,
-                     python-crypto,
                      python-ddt (>= 1.0.1),
-                     python-fixtures (>= 1.3.1),
+                     python-fixtures (>= 3.0.0),
                      python-hacking (>= 0.9.2),
-                     python-iso8601,
-                     python-keystoneclient (>= 1:1.6.0),
-                     python-mock (>= 1.3),
+                     python-keystoneclient (>= 1:2.0.0),
+                     python-mock (>= 2.0),
                      python-openstackclient (>= 2.1.0),
-                     python-oslo.config (>= 1:3.7.0),
+                     python-oslo.config (>= 1:3.14.0),
                      python-oslo.log (>= 1.14.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-prettytable,
-                     python-requests (>= 2.8.1),
+                     python-requests (>= 2.10.0),
                      python-simplejson,
                      python-six (>= 1.9.0),
-                     python-tempest-lib (>= 0.14.0),
+                     python-tempest (>= 1:12.1.0),
                      python-testtools (>= 1.4.0),
-                     python3-babel,
-                     python3-crypto,
+                     python3-babel (>= 2.3.4),
                      python3-ddt (>= 1.0.1),
-                     python3-fixtures (>= 1.3.1),
-                     python3-iso8601,
-                     python3-keystoneclient (>= 1:1.6.0),
-                     python3-mock (>= 1.3),
+                     python3-fixtures (>= 3.0.0),
+                     python3-keystoneclient (>= 1:2.0.0),
+                     python3-mock (>= 2.0),
                      python3-openstackclient (>= 2.1.0),
-                     python3-oslo.config (>= 1:3.7.0),
+                     python3-oslo.config (>= 1:3.14.0),
                      python3-oslo.log (>= 1.14.0),
                      python3-oslo.serialization (>= 1.10.0),
-                     python3-oslo.utils (>= 3.5.0),
-                     python3-oslotest (>= 1.10.0),
+                     python3-oslo.utils (>= 3.16.0),
+                     python3-oslotest (>= 1:1.10.0),
                      python3-prettytable,
-                     python3-requests (>= 2.8.1),
+                     python3-requests (>= 2.10.0),
                      python3-simplejson,
                      python3-six (>= 1.9.0),
                      python3-subunit,
-                     python3-tempest-lib (>= 0.14.0),
+                     python3-tempest (>= 1:12.1.0),
                      python3-testtools (>= 1.4.0),
                      subunit,
+                     tempest (>= 1:12.1.0),
                      testrepository,
-Standards-Version: 3.9.7
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-manilaclient.git
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-manilaclient.git/
+Standards-Version: 3.9.8
+Vcs-Git: https://git.openstack.org/openstack/deb-python-manilaclient -b debian/newton
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-manilaclient?h=debian%2Fnewton
 Homepage: https://github.com/openstack/python-manilaclient
 
 Package: python-manilaclient
 Architecture: all
-Depends: python-babel,
-         python-crypto,
-         python-iso8601,
-         python-keystoneclient (>= 1:1.6.0),
-         python-oslo.config (>= 1:3.7.0),
+Depends: python-babel (>= 2.3.4),
+         python-keystoneclient (>= 1:2.0.0),
+         python-oslo.config (>= 1:3.14.0),
          python-oslo.log (>= 1.14.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.utils (>= 3.5.0),
+         python-oslo.utils (>= 3.16.0),
          python-pbr (>= 1.8),
          python-prettytable,
-         python-requests (>= 2.8.1),
+         python-requests (>= 2.10.0),
          python-simplejson,
          python-six (>= 1.9.0),
          ${misc:Depends},
          ${python:Depends},
+Recommends: python-manilaclient-doc,
 Description: OpenStack shared file system as a service - Python 2.7 client
  Manila is an OpenStack project to provide Shared Filesystems as a service.
  It provides coordinated access to shared or distributed file systems. While
@@ -96,21 +92,20 @@
 
 Package: python3-manilaclient
 Architecture: all
-Depends: python3-babel,
-         python3-crypto,
-         python3-iso8601,
-         python3-keystoneclient (>= 1:1.6.0),
-         python3-oslo.config (>= 1:3.7.0),
+Depends: python3-babel (>= 2.3.4),
+         python3-keystoneclient (>= 1:2.00),
+         python3-oslo.config (>= 1:3.14.0),
          python3-oslo.log (>= 1.14.0),
          python3-oslo.serialization (>= 1.10.0),
-         python3-oslo.utils (>= 3.5.0),
+         python3-oslo.utils (>= 3.16.0),
          python3-pbr (>= 1.8),
          python3-prettytable,
-         python3-requests (>= 2.8.1),
+         python3-requests (>= 2.10.0),
          python3-simplejson,
          python3-six (>= 1.9.0),
          ${misc:Depends},
          ${python3:Depends},
+Recommends: python-manilaclient-doc,
 Description: OpenStack shared file system as a service - Python 3.x client
  Manila is an OpenStack project to provide Shared Filesystems as a service.
  It provides coordinated access to shared or distributed file systems. While

## python-manilaclient 1.14.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# pbr should be first
pbr>=1.8 # Apache-2.0

oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
requests!=2.12.2,>=2.10.0 # Apache-2.0
simplejson>=2.2.0 # MIT
Babel>=2.3.4 # BSD
six>=1.9.0 # MIT
python-keystoneclient>=3.8.0 # Apache-2.0

=== debian/changelog ===
python-manilaclient (1.14.0-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 05 Dec 2017 12:41:22 +0100

python-manilaclient (1.11.0-3) UNRELEASED; urgency=medium

  * Bumped debhelper compat version to 10

 -- Ondřej Nový <onovy@debian.org>  Thu, 24 Nov 2016 00:07:32 +0100

=== debian/control ===
--- 
+++ 
@@ -20,14 +20,14 @@
                      python-ddt (>= 1.0.1),
                      python-fixtures (>= 3.0.0),
                      python-hacking (>= 0.9.2),
-                     python-keystoneclient (>= 1:2.0.0),
+                     python-keystoneclient (>= 1:3.8.0),
                      python-mock (>= 2.0),
-                     python-openstackclient (>= 2.1.0),
+                     python-openstackclient (>= 3.3.0),
                      python-oslo.config (>= 1:3.14.0),
-                     python-oslo.log (>= 1.14.0),
+                     python-oslo.log (>= 3.11.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.16.0),
-                     python-oslosphinx (>= 2.5.0),
+                     python-oslo.utils (>= 3.18.0),
+                     python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1:1.10.0),
                      python-prettytable,
                      python-requests (>= 2.10.0),
@@ -38,13 +38,13 @@
                      python3-babel (>= 2.3.4),
                      python3-ddt (>= 1.0.1),
                      python3-fixtures (>= 3.0.0),
-                     python3-keystoneclient (>= 1:2.0.0),
+                     python3-keystoneclient (>= 1:3.8.0),
                      python3-mock (>= 2.0),
-                     python3-openstackclient (>= 2.1.0),
+                     python3-openstackclient (>= 3.3.0),
                      python3-oslo.config (>= 1:3.14.0),
-                     python3-oslo.log (>= 1.14.0),
+                     python3-oslo.log (>= 3.11.0),
                      python3-oslo.serialization (>= 1.10.0),
-                     python3-oslo.utils (>= 3.16.0),
+                     python3-oslo.utils (>= 3.18.0),
                      python3-oslotest (>= 1:1.10.0),
                      python3-prettytable,
                      python3-requests (>= 2.10.0),
@@ -64,11 +64,11 @@
 Package: python-manilaclient
 Architecture: all
 Depends: python-babel (>= 2.3.4),
-         python-keystoneclient (>= 1:2.0.0),
+         python-keystoneclient (>= 1:3.8.0),
          python-oslo.config (>= 1:3.14.0),
-         python-oslo.log (>= 1.14.0),
+         python-oslo.log (>= 3.11.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.utils (>= 3.16.0),
+         python-oslo.utils (>= 3.18.0),
          python-pbr (>= 1.8),
          python-prettytable,
          python-requests (>= 2.10.0),
@@ -93,11 +93,11 @@
 Package: python3-manilaclient
 Architecture: all
 Depends: python3-babel (>= 2.3.4),
-         python3-keystoneclient (>= 1:2.00),
+         python3-keystoneclient (>= 1:3.8.0),
          python3-oslo.config (>= 1:3.14.0),
-         python3-oslo.log (>= 1.14.0),
+         python3-oslo.log (>= 3.11.0),
          python3-oslo.serialization (>= 1.10.0),
-         python3-oslo.utils (>= 3.16.0),
+         python3-oslo.utils (>= 3.18.0),
          python3-pbr (>= 1.8),
          python3-prettytable,
          python3-requests (>= 2.10.0),

## python-manilaclient 1.17.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# pbr should be first
pbr!=2.1.0,>=2.0.0 # Apache-2.0

ipaddress>=1.0.7;python_version<'3.3'  # PSF
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
requests>=2.14.2 # Apache-2.0
simplejson>=2.2.0 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
six>=1.9.0 # MIT
python-keystoneclient>=3.8.0 # Apache-2.0

=== debian/changelog ===
python-manilaclient (1.17.1-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 16 Aug 2017 15:52:50 +0000

python-manilaclient (1.17.1-0ubuntu1) artful; urgency=medium

  * d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.
  * d/control: Drop python3-ipaddress. Package doesn't exist for good reason
    as ipaddress is in standard library in py3.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Aug 2017 10:38:09 -0400

python-manilaclient (1.15.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:23:24 +0100

python-manilaclient (1.14.0-0ubuntu2) zesty; urgency=medium

  * debian/control: Clean up dependencies. 

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 04 Feb 2017 13:54:02 -0500

python-manilaclient (1.14.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 13:16:05 -0500

python-manilaclient (1.13.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Jan 2017 09:07:35 -0500

python-manilaclient (1.12.0-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 24 Jan 2017 08:47:29 -0500

python-manilaclient (1.11.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Sep 2016 15:26:08 +0100

=== debian/control ===
Source: python-manilaclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           David Della Vecchia <ddv@canonical.com>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-coverage (>= 4.0),
                     python-ddt (>= 1.0.1),
                     python-fixtures (>= 3.0.0),
                     python-ipaddress (>= 1.0.7),
                     python-keystoneclient (>= 1:3.8.0),
                     python-mock (>= 2.0),
                     python-openstackclient (>= 3.3.0),
                     python-openstackdocstheme (>= 1.16.0),
                     python-oslo.config (>= 1:4.0.0),
                     python-oslo.log (>= 3.22.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslotest (>= 1.10.0),
                     python-prettytable (>= 0.7.1),
                     python-requests (>= 2.14.2),
                     python-simplejson (>= 2.2.0),
                     python-six (>= 1.9.0),
                     python-tempest (>= 1:16.1.0),
                     python-testrepository (>= 0.0.18),
                     python-testtools (>= 1.4.0),
                     python3-babel (>= 2.3.4),
                     python3-coverage (>= 4.0),
                     python3-ddt (>= 1.0.1),
                     python3-fixtures (>= 3.0.0),
                     python3-keystoneclient (>= 1:3.8.0),
                     python3-mock (>= 2.0),
                     python3-openstackclient (>= 3.3.0),
                     python3-openstackdocstheme (>= 1.16.0),
                     python3-oslo.config (>= 1:4.0.0),
                     python3-oslo.log (>= 3.22.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.20.0),
                     python3-oslotest (>= 1.10.0),
                     python3-prettytable (>= 0.7.1),
                     python3-requests (>= 2.14.2),
                     python3-simplejson (>= 2.2.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-tempest (>= 1:16.1.0),
                     python3-testrepository (>= 0.0.18),
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-manilaclient
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-manilaclient
Homepage: https://github.com/openstack/python-manilaclient

Package: python-manilaclient
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-ipaddress (>= 1.0.7),
         python-keystoneclient (>= 1:3.8.0),
         python-oslo.config (>= 1:4.0.0),
         python-oslo.log (>= 3.22.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.20.0),
         python-pbr (>= 2.0.0),
         python-prettytable (>= 0.7.1),
         python-requests (>= 2.14.2),
         python-simplejson (>= 2.2.0),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends}
Recommends: python-manilaclient-doc,
Description: OpenStack shared file system as a service - Python 2.7 client
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python client library and command line tool for
 Manila and for Python 2.7.

Package: python3-manilaclient
Architecture: all
Depends: python3-babel (>= 2.3.4),
         python3-keystoneclient (>= 1:3.8.0),
         python3-oslo.config (>= 1:4.0.0),
         python3-oslo.log (>= 3.22.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.20.0),
         python3-pbr (>= 2.0.0),
         python3-prettytable (>= 0.7.1),
         python3-requests (>= 2.14.2),
         python3-simplejson (>= 2.2.0),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends}
Recommends: python-manilaclient-doc,
Description: OpenStack shared file system as a service - Python 3.x client
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python client library and command line tool for
 Manila and for Python 3.x.

Package: python-manilaclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack shared file system as a service - client doc
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python client library and command line tool
 documentation.
